Bug 6114 - Conflicting warnings about Koha to MARC links
Summary: Conflicting warnings about Koha to MARC links
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL: /cgi-bin/koha/admin/marctagstructure.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-07 13:22 UTC by Owen Leonard
Modified: 2012-10-25 23:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (4.20 KB, patch)
2011-04-07 13:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Proposed fix for 3.2.x (2.89 KB, patch)
2011-04-19 19:43 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-04-07 13:22:33 UTC
On marctagstructure.pl it says "If you change the link between a MARC
subfield and a non-MARC field, ask your administrator to run
misc/batchRebuildBiblioTables.pl script."

On marc_subfields_structure.pl, next to the "link" field, it says
"Warning: This value should not change after data has been added to
your catalog."

On IRC 2011-04-06:

[08:51]	<gmcharlt>	oleonard: the former is correct - i.e., you can change it, but then must run batchRebuildBiblioTables.pl
[08:52]	<oleonard>	Do you think it would be appropriate to move that warning to marc_subfields_structure.pl ?
[08:52]	<gmcharlt>	oleonard: yes

Forthcoming patch will remove the incorrect message from marc_subfields_structure.pl and the message from marctagstructure.pl will be moved into its place.
Comment 1 Owen Leonard 2011-04-07 13:32:07 UTC
Created attachment 3791 [details] [review]
Proposed fix

Patch also corrects the help file for marc_subfields_structure.tmpl
Comment 2 Chris Cormack 2011-04-07 23:53:49 UTC
Pushed please test
Comment 3 Owen Leonard 2011-04-19 19:43:38 UTC
Created attachment 3952 [details] [review]
Proposed fix for 3.2.x